package com.loafle.overflow.commons.model;

import io.grpc.Context;
import io.grpc.Metadata;

import static io.grpc.Metadata.ASCII_STRING_MARSHALLER;

public class SessionMetadata {
    public static final Context.Key<String> CTX_EMAIL_KEY = Context.key("email");
    public static final Metadata.Key<String> METADATA_EMAIL_KEY = Metadata.Key.of("email", ASCII_STRING_MARSHALLER);

    public static String getEmail() {
        return CTX_EMAIL_KEY.get();
    }
}
