package com.loafle.overflow.module.meta.service;

import com.loafle.overflow.module.meta.dao.MetaHistoryTypeDAO;
import com.loafle.overflow.module.meta.model.MetaHistoryType;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * Created by snoop on 17. 7. 27.
 */
@Service("MetaHistoryTypeService")
public class MetaHistoryTypeService {

    @Autowired
    private MetaHistoryTypeDAO hisotyTypeDAO;

    public List<MetaHistoryType> readAll() {
        return this.hisotyTypeDAO.findAll();
    }

    public MetaHistoryType regist(MetaHistoryType type) {
        return this.hisotyTypeDAO.save(type);
    }

    public List<MetaHistoryType> registAll(List<MetaHistoryType> types) {
        return this.hisotyTypeDAO.save(types);
    }
}
