package com.loafle.overflow.module.meta.service;

import com.loafle.overflow.module.meta.model.MetaProbeOs;
import com.loafle.overflow.module.meta.model.MetaProbePackage;
import com.loafle.overflow.spring.AppConfigTest;
import org.junit.Assert;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.test.context.ContextConfiguration;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;

import java.util.List;

import static org.junit.Assert.*;

/**
 * Created by snoop on 17. 7. 27.
 */
@RunWith(SpringJUnit4ClassRunner.class)
@ContextConfiguration(classes = {AppConfigTest.class})
public class MetaProbePackageServiceTest {

    @Autowired
    private MetaProbePackageService probePackageService;

    @Test
    public void readAllByOs() throws Exception {

        MetaProbeOs metaProbeOs = new MetaProbeOs();
        metaProbeOs.setId((short)1);

        List<MetaProbePackage> metaProbePackages = this.probePackageService.readAllByOs(metaProbeOs);

        Assert.assertNotEquals(metaProbePackages.size(), 0);

    }

}