package com.loafle.overflow.module.sensor.service;

import com.loafle.overflow.module.meta.model.MetaCrawler;
import com.loafle.overflow.module.meta.model.MetaSensorStatus;
import com.loafle.overflow.module.sensor.model.Sensor;
import com.loafle.overflow.module.target.model.Target;
import com.loafle.overflow.spring.AppConfigTest;
import org.codehaus.jackson.map.ObjectMapper;
import org.junit.Assert;
import org.junit.Ignore;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.test.context.ContextConfiguration;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;

import java.io.IOException;
import java.util.Date;
import java.util.HashMap;
import java.util.Map;

/**
 * Created by insanity on 17. 6. 28.
 */
//@Ignore
@RunWith(SpringJUnit4ClassRunner.class)
@ContextConfiguration(classes = {AppConfigTest.class})
public class SensorServiceTest {
    @Autowired
    SensorService sensorService;



    @Ignore
    @Test
    public void regist() throws Exception {
        Sensor sensor = new Sensor();
        MetaSensorStatus status = new MetaSensorStatus((short)1);
        sensor.setStatus(status);
        MetaCrawler crawler = new MetaCrawler();
        crawler.setId((short)1);
        sensor.setCrawler(crawler);
        Target target = new Target();
        target.setId(1);
        sensor.setTarget(target);
        sensor.setCreateDate(new Date());

        Sensor res = this.sensorService.regist(sensor);
        Assert.assertNotNull(res);
    }

    @Test
    public void read() throws Exception {
        Sensor res = this.sensorService.read("1");
        Assert.assertNotNull(res);

        ObjectMapper objectMapper = new ObjectMapper();

        String json = objectMapper.writeValueAsString(res);

        System.out.println(json);
    }

    @Test
    public void generateSensorConfig() throws IOException {

        Sensor sensor = new Sensor();
        sensor.setId(3);
        String result = this.sensorService.generateSensorConfig(sensor);

        System.out.println(result);

    }

    @Test
    public void testJsonToMap() throws IOException {

        String json = "{\"interval\":5}";

        ObjectMapper objectMapper = new ObjectMapper();

        Map<String, Object> mm = new HashMap<>();

        mm = objectMapper.readValue(json,  HashMap.class);

        System.out.println(mm.get("interval"));

    }

    @Test
    public void stringbbb() {
        StringBuffer stringBuffer = new StringBuffer();

        stringBuffer.append("222222222222222222222222222");
        System.out.println(stringBuffer.toString());
        stringBuffer.setLength(0);
        System.out.println(stringBuffer.toString());
        stringBuffer.append("3333333333");
        System.out.println(stringBuffer.toString());
    }

//    @Test
//    public void readAllByTarget() throws Exception {
//        Target target = new Target();
//        target.setId(1);
//        List<Sensor> sensors = this.sensorService.readAllByTarget(target);
//
//        ObjectMapper objectMapper = new ObjectMapper();
//
//        String json = objectMapper.writeValueAsString(sensors);
//
//        System.out.println(json);
//    }

//    @Test
//    public void readAllByTargetList() {
//
//        Domain domain = new Domain();
//        domain.setId(1);
//
//        List<Sensor> sl = this.sensorService.readAllByDomain(domain);
//
//        Assert.assertNotEquals(sl.size(), 0);
//
//    }

//    @Test
//    public void readAllByInfra() {
//
//        Infra infra = new InfraMachine();
//        infra.setId(1);
//
//        List<Sensor> sl = this.sensorService.readAllByInfra(1);
//
//        Assert.assertNotEquals(sl.size(), 0);
//
//    }
}
